# Generated by Django 4.2.4 on 2023-08-04 11:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="LeanCanvas",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(max_length=255)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name="UniqueValueProposition",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("uvp", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="UnfairAdvantage",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("advantage", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Solution",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("solution", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="RevenueStream",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("stream", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Problem",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("problem", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="KeyMetric",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("metric", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="CustomerSegment",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("segment", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="CostStructure",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("cost", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Channel",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("channel", models.TextField()),
                (
                    "lean_canvas",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="lean_canvas.leancanvas",
                    ),
                ),
            ],
        ),
    ]
